Error installing PowerPivot – "This add-in requires Excel 2010"

When trying to install PowerPivot for Excel 2010 you may receive the following error message: Setup is missing prerequisites:This add-in requires Excel 2010. If you have 32-bit Excel, you must install the 32-bit version of the add-in. If not, you must install the 64-bit version.This add-in requires that the Office Shared Features component of Microsoft…